%bcond_without tests
%bcond_without docs

%define	major	4
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname -d %{name}

Summary:	QR Code encoder into PNG image
Name:		qrencode
Version:	4.1.1
Release:	%mkrel 2
Group:		File tools
License:	LGPLv2+
URL:		https://fukuchi.org/works/qrencode/
Source0:	https://fukuchi.org/works/qrencode/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(libpng)
%if %{with docs}
BuildRequires:	doxygen
%endif
%if %{with tests}
#for tests
BuildRequires:	pkgconfig(sdl)
%endif

%description
Qrencode is a utility software using libqrencode to encode string data in a
QR Code and save as a PNG image.

%package -n %{libname}
Summary:	A C library for encoding data in a QR Code symbol
Group:		System/Libraries

%description -n	%{libname}
Libqrencode is a C library for encoding data in a QR Code symbol, a kind of 2D
symbology that can be scanned by handy terminals such as a mobile phone with
CCD. The capacity of QR Code is up to 7000 digits or 4000 characters, and is
highly robustness.

Libqrencode supports QR Code model 2, described in JIS (Japanese Industrial
Standards) X0510:2004 or ISO/IEC 18004.

%package -n %{devname}
Summary:	The development files for the qrencode library
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{devname}
Libqrencode is a C library for encoding data in a QR Code symbol, a kind of 2D
symbology that can be scanned by handy terminals such as a mobile phone with
CCD. The capacity of QR Code is up to 7000 digits or 4000 characters, and is
highly robustness.

Libqrencode supports QR Code model 2, described in JIS (Japanese Industrial
Standards) X0510:2004 or ISO/IEC 18004.

This package contains the development files for the qrencode library.

%prep
%setup -q

%build
autoreconf -vfi
%configure \
	--enable-shared \
	--disable-static \
	--disable-rpath \
	--with-tools \
	--with-tests=%{?with_tests:yes}%{!?with_tests:no}
%make_build

%install
%make_install

%if %{with docs}
# update doxyfiles
doxygen -u

# manual
doxygen
%endif

# we don't want these
find %{buildroot} -name "*.la" -delete

%if %{with tests}
%check
pushd tests
	./test_all.sh
popd
%endif

%files
%{_bindir}/%{name}
%{_mandir}/man1/*

%files -n %{libname}
%doc ChangeLog NEWS README TODO
%if %{with docs}
%doc html/
%endif
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 4.1.1-2.mga9
+ Revision: 1839214
- Mageia 9 Mass Rebuild

* Sun Oct 04 2020 wally <wally> 4.1.1-1.mga8
+ Revision: 1632184
- new version 4.1.1
- drop old obsoletes

* Tue Sep 01 2020 wally <wally> 4.1.0-1.mga8
+ Revision: 1620659
- new version 4.1.0

* Fri Feb 14 2020 umeabot <umeabot> 4.0.2-3.mga8
+ Revision: 1516231
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 4.0.2-2.mga7
+ Revision: 1300673
- Mageia 7 Mass Rebuild

* Fri Jun 15 2018 wally <wally> 4.0.2-1.mga7
+ Revision: 1237045
- new version 4.0.2
- add conditionals for docs build and tests

* Sat Oct 07 2017 wally <wally> 4.0.0-1.mga7
+ Revision: 1169973
- new version 4.0.0
- new lib major 4

* Fri Feb 12 2016 umeabot <umeabot> 3.4.4-5.mga6
+ Revision: 958705
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 3.4.4-4.mga6
+ Revision: 867692
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 3.4.4-3.mga5
+ Revision: 747518
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.4.4-2.mga5
+ Revision: 688511
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 wally <wally> 3.4.4-1.mga5
+ Revision: 664695
- new version 3.4.4

* Sat Oct 19 2013 umeabot <umeabot> 3.4.3-2.mga4
+ Revision: 532945
- Mageia 4 Mass Rebuild

* Fri Aug 23 2013 wally <wally> 3.4.3-1.mga4
+ Revision: 470360
- new version 3.4.3
- clean .spec

* Mon Jun 03 2013 fwang <fwang> 3.4.2-2.mga4
+ Revision: 436190
- rebuild for new libpng

* Sun Apr 07 2013 wally <wally> 3.4.2-1.mga3
+ Revision: 408757
- new version 3.4.2

* Sun Jan 13 2013 umeabot <umeabot> 3.4.1-2.mga3
+ Revision: 379877
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 wally <wally> 3.4.1-1.mga3
+ Revision: 322671
- new version 3.4.1

* Tue May 29 2012 wally <wally> 3.3.1-1.mga3
+ Revision: 249300
- new version 3.3.1
- clean .spec

* Tue Mar 06 2012 wally <wally> 3.2.0-1.mga2
+ Revision: 220472
- build and enable tests
- drop P0
- new version 3.2.0
- clean .spec a bit

* Thu Sep 15 2011 fwang <fwang> 3.1.1-4.mga2
+ Revision: 143746
- recognize png

* Thu Mar 24 2011 boklm <boklm> 3.1.1-4.mga1
+ Revision: 76203
- rebuild for bug #497

* Thu Mar 17 2011 wally <wally> 3.1.1-3.mga1
+ Revision: 73430
- drop buildroot definition
- clean .spec a bit
- imported package qrencode


* Sun Jan 09 2011 Jani Välimaa <wally@mandriva.org> 3.1.1-2mdv2011.0
+ Revision: 630746
- drop support for old mdv releases

* Sat Jul 10 2010 Jani Välimaa <wally@mandriva.org> 3.1.1-1mdv2011.0
+ Revision: 550023
- new version 3.1.1
- fix summary/description
- build doxygen docs
- clean spec

* Tue Sep 08 2009 Thierry Vignaud <tv@mandriva.org> 3.0.3-3mdv2010.0
+ Revision: 433041
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 3.0.3-2mdv2009.0
+ Revision: 269054
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Jun 06 2008 Funda Wang <fwang@mandriva.org> 3.0.3-1mdv2009.0
+ Revision: 216514
- New version 3.0.3

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.0.2-2mdv2008.1
+ Revision: 140742
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.2-2mdv2008.0
+ Revision: 90202
- rebuild

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-1mdv2008.0
+ Revision: 16112
- Import qrencode



* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-1mdv2008.0
- initial Mandriva package
